Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 29458 - Separate org.openide.util to separate package
Separate org.openide.util to separate package
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P1 (vote)
: 5.x
Assigned To: Jaroslav Tulach
issues@platform
: ARCH
Depends on:
Blocks: 19443 29460
  Show dependency treegraph
 
Reported: 2002-12-11 14:10 UTC by Jaroslav Tulach
Modified: 2008-12-22 18:29 UTC (History)
7 users (show)

See Also:
Issue Type: TASK
:


Attachments
The changes to be applied (83.82 KB, patch)
2003-10-05 12:59 UTC, Jaroslav Tulach
Details | Diff
The diff against main trunk with current state of the branch (137.02 KB, patch)
2003-10-15 10:30 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-12-11 14:10:59 UTC
Change the location and compilation of util
packages to be independent on the rest of the code
and be packaged into separate openide-util.jar file.

I suggest to change utilities into a separate
module under openide/util CVS tree and make other
parts of openide depend on it.

Lookup part of the module should probably be
excluded from openide-util.jar and have its own
openide-lookup.jar as in the case of separate
distribution (http://openide.netbeans.org/lookup/).
Comment 1 Jaroslav Tulach 2003-09-09 15:48:46 UTC
Created branch jars_29458 rooted at BLD200309090100 that will turn
these package and also others into own JAR files. Branched modules now
include nbbuild and openide.
Comment 2 Jaroslav Tulach 2003-09-11 16:57:49 UTC
Working on it.
Comment 3 Jaroslav Tulach 2003-09-19 22:16:23 UTC
I think I am ready to merge this to trunk. Will do it after two weeks
when I return back from vacation. I'd be glad if you could review that
meanwhile, Jesse.
Comment 4 Jaroslav Tulach 2003-10-05 12:59:25 UTC
Created attachment 11796 [details]
The changes to be applied
Comment 5 _ tboudreau 2003-10-05 21:50:21 UTC
It might be worth splitting propertysheet into a separate jar, rather 
than including it in openide-explorer - the contents are fairly
distinct, and in the long run I want to do this anyway, so might as
well do it now.
Comment 6 Jaroslav Tulach 2003-10-06 07:21:57 UTC
Separating propertysheet is more task that belongs to issue 34758,
which has already been finished. Anyway thanks for noticing that
separation is going on and doing a review. As concern separation
propertysheet from explorer, I do not think that the "the contents are
fairly distinct". I know you would like them to be, but significant
parts of both packages work around Node and ExplorerManager and are
fairly connected. I am aware of your effort to have independent
propertysheet, but it would be better addressed by writing completely
new module than hacking around old org.openide package. If necessary,
the old org.openide.explorer.propertysheet can depend and use the new
old stuff (after most openide-*.jar are turned to modules).
Comment 7 Jesse Glick 2003-10-06 23:46:24 UTC
You still need to do some merging from the trunk. In particular, the
merge of nbbuild/build.properties will be nontrivial since the trunk
version factors out lists of modules in a more sophisticated way than
what you branched. Should not be so hard, though.

I am making some misc. fixes and also merging the JavaHelp 2.0 changes
to the branch, which are necessary in order for core/javahelp to compile.
Comment 8 Jaroslav Tulach 2003-10-07 17:09:57 UTC
Branch synchronized with main trunk tag BLD200310060100 
Comment 9 Jaroslav Tulach 2003-10-09 15:59:20 UTC
I have renamed openide-*.jar modules to not end with /1 do you think
that now it is ready for merge, Jesse? Hrebejk, would you mind to do
me a review?
Comment 10 Jesse Glick 2003-10-09 18:18:34 UTC
Assuming it still builds, unit tests still pass, etc., I don't know of
any outstanding problems that would prevent a merge.
Comment 11 Jaroslav Tulach 2003-10-10 14:02:48 UTC
Thanks Jesse. I will have the change review by Michal Zlamal on Monday
and if he finds it acceptable and reasonable as well, I'll commit it.
Comment 12 _ ttran 2003-10-10 14:06:38 UTC
things to remember:
  - projects (O/S & C/S)
  - winsys branch: Peter should sync up his branch ASAP after the merge
Comment 13 Jaroslav Tulach 2003-10-15 10:30:05 UTC
Created attachment 11863 [details]
The diff against main trunk with current state of the branch
Comment 14 Jaroslav Tulach 2005-03-24 16:18:22 UTC
I propose to move the sources in CVS and split javadoc of all openide packages
after we branch 4.1. For performance reasons I prefer to keep one resulting
openide.jar file, its split may come later.
Comment 15 Jaroslav Tulach 2005-06-04 06:43:20 UTC
Fixed by integration of issue 58258. 


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo